html,
body {
  padding: 0;
  margin: 0;
  width: 100%;
  height: 100%;
}

#map-container {
  width: 100%;
  height: 100%;
}
#background-map, #map {
  position: absolute;
  width: 100%;
  height: 100%;
}

.backdrop {
  background: rgba(0, 0, 0, .4);
  backdrop-filter: blur(3px);
}
.backdrop #backgroundRasterUrl {
  font-family: monospace;
  font-size: 0.8em;
}
#search-results, #search-milestones-form {
  display: none;
}

.legend-container {
  position: absolute;
  display: none;
  left: 0;
  bottom: 30px;
  z-index: 10;

  background-color: rgba(var(--bs-body-bg-rgb), .9);
  border-radius: 4px;
  box-shadow: 0 0 0 2px rgba(0, 0, 0, .1);
}
.legend-map-configuration {
  padding: 10px;
  border-bottom: 1px solid rgb(204, 204, 204);
  font-size: .9rem;
}
.legend-map-configuration .country-select {
  display: inline-block;
  width: auto;
}
.legend-map-configuration .form-check-inline {
  margin-right: .3rem;
  margin-left: .6rem;
}
.legend-map-container {
  height: 400px;
  width: 380px;
  overflow-y: auto;
}
.legend-map {
  width: 100%;
  height: 1400px;
}

#news-content img {
  display: block;
  max-width: 100%;
  max-height: 400px;
  margin: 0 auto;
}
#news-content .github-icon {
  background: var(--bs-body-color);
  mask-image: url("data:image/svg+xml;charset=utf-8,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 96 96'%3E%3Cpath fill-rule='evenodd' clip-rule='evenodd' d='M48.854 0C21.839 0 0 22 0 49.217c0 21.756 13.993 40.172 33.405 46.69 2.427.49 3.316-1.059 3.316-2.362 0-1.141-.08-5.052-.08-9.127-13.59 2.934-16.42-5.867-16.42-5.867-2.184-5.704-5.42-7.17-5.42-7.17-4.448-3.015.324-3.015.324-3.015 4.934.326 7.523 5.052 7.523 5.052 4.367 7.496 11.404 5.378 14.235 4.074.404-3.178 1.699-5.378 3.074-6.6-10.839-1.141-22.243-5.378-22.243-24.283 0-5.378 1.94-9.778 5.014-13.2-.485-1.222-2.184-6.275.486-13.038 0 0 4.125-1.304 13.426 5.052a46.97 46.97 0 0 1 12.214-1.63c4.125 0 8.33.571 12.213 1.63 9.302-6.356 13.427-5.052 13.427-5.052 2.67 6.763.97 11.816.485 13.038 3.155 3.422 5.015 7.822 5.015 13.2 0 18.905-11.404 23.06-22.324 24.283 1.78 1.548 3.316 4.481 3.316 9.126 0 6.6-.08 11.897-.08 13.526 0 1.304.89 2.853 3.316 2.364 19.412-6.52 33.405-24.935 33.405-46.691C97.707 22 75.788 0 48.854 0z'%3E%3C/path%3E%3C/svg%3E");
  width: 1.3rem;
  height: 1.3rem;
  margin-left: .5rem;
}

.maplibregl-popup-content .loading {
  background-image: url("data:image/svg+xml,%3C%3Fxml version='1.0' encoding='UTF-8'%3F%3E%3Csvg xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' width='10.360739' height='22' viewBox='0 0 10.360739 22'%3E%3Cpath fill-rule='nonzero' fill='rgb(14.901961%25, 14.901961%25, 14.901961%25)' fill-opacity='1' d='M 0 5.125 L 10.359375 5.125 L 10.359375 17.167969 L 0 17.167969 Z M 0 5.125 '/%3E%3Cpath fill-rule='nonzero' fill='rgb(14.901961%25, 14.901961%25, 14.901961%25)' fill-opacity='1' d='M 10.359375 16.875 C 10.359375 19.707031 8.039062 22 5.183594 22 C 2.320312 22 0 19.707031 0 16.875 C 0 14.042969 2.320312 11.746094 5.183594 11.746094 C 8.039062 11.746094 10.359375 14.042969 10.359375 16.875 Z M 10.359375 16.875 '/%3E%3Cpath fill-rule='nonzero' fill='rgb(14.901961%25, 14.901961%25, 14.901961%25)' fill-opacity='1' d='M 10.359375 5.125 C 10.359375 7.957031 8.039062 10.253906 5.183594 10.253906 C 2.320312 10.253906 0 7.957031 0 5.125 C 0 2.292969 2.320312 0 5.183594 0 C 8.039062 0 10.359375 2.292969 10.359375 5.125 Z M 10.359375 5.125 '/%3E%3Cpath fill-rule='nonzero' fill='rgb(0%25, 69.01961%25, 31.37255%25)' fill-opacity='1' d='M 7.214844 4.976562 C 7.214844 6.113281 6.304688 7.035156 5.183594 7.035156 C 4.054688 7.035156 3.148438 6.113281 3.148438 4.976562 C 3.148438 3.839844 4.054688 2.921875 5.183594 2.921875 C 6.304688 2.921875 7.214844 3.839844 7.214844 4.976562 Z M 7.214844 4.976562 '%3E%3Canimate attributeName='fill' begin='0s' values='rgb(0%25, 69.01961%25, 31.37255%25);rgb(20%25, 20%25, 20%25);rgb(20%25, 20%25, 20%25);rgb(0%25, 69.01961%25, 31.37255%25)' dur='1s' repeatCount='indefinite'/%3E%3C/path%3E%3Cpath fill-rule='nonzero' fill='rgb(20%25, 20%25, 20%25)' fill-opacity='1' d='M 7.214844 10.925781 C 7.214844 12.0625 6.304688 12.980469 5.183594 12.980469 C 4.054688 12.980469 3.148438 12.0625 3.148438 10.925781 C 3.148438 9.789062 4.054688 8.867188 5.183594 8.867188 C 6.304688 8.867188 7.214844 9.789062 7.214844 10.925781 Z M 7.214844 10.925781 '%3E%3Canimate attributeName='fill' begin='0s' values='rgb(20%25, 20%25, 20%25);rgb(20%25, 20%25, 20%25);%23C68516;rgb(20%25, 20%25, 20%25)' dur='1s' repeatCount='indefinite'/%3E%3C/path%3E%3Cpath fill-rule='nonzero' fill='rgb(20%25, 20%25, 20%25)' fill-opacity='1' d='M 7.1875 16.875 C 7.1875 18.007812 6.277344 18.933594 5.152344 18.933594 C 4.03125 18.933594 3.121094 18.007812 3.121094 16.875 C 3.121094 15.738281 4.03125 14.820312 5.152344 14.820312 C 6.277344 14.820312 7.1875 15.738281 7.1875 16.875 Z M 7.1875 16.875 '%3E%3Canimate attributeName='fill' begin='0s' values='rgb(20%25, 20%25, 20%25);rgb(90%25, 0%25, 0%25);rgb(20%25, 20%25, 20%25);rgb(20%25, 20%25, 20%25)' dur='1s' repeatCount='indefinite'/%3E%3C/path%3E%3C/svg%3E%0A");
  width: 240px;
  height: 2rem;
  margin-top: 1rem;
  margin-bottom: 1rem;
  background-size: contain;
  background-position: center;
  background-repeat: no-repeat;
}
.maplibregl-popup-content .popup-content-list {
  margin: 0 -10px;
  padding: 0;
  list-style: none;
  max-height: 120px;
  overflow-y: auto;
}
.maplibregl-popup-content .popup-content-list > li {
  padding: 0 10px 5px 10px;
}
.maplibregl-popup-content .popup-content-list > li.link-item:hover {
  cursor: pointer;
  background-color: var(--bs-secondary-bg-subtle);
}

.maplibregl-popup-content .color-marker {
  display: inline-block;
  width: .6rem;
  height: .6rem;
  border-radius: .6rem;
  vertical-align: baseline;
  margin-right: 0.4rem;
  box-shadow: 0 0 1px 1px #333;
  line-height: 1rem;
  box-sizing: border-box;
  /* background color is set dynamically */
}

/** Patch Maplibre GL to respect the page theme */
#map-container .maplibregl-ctrl-group,
.maplibregl-ctrl-attrib.maplibregl-compact,
.maplibregl-ctrl-attrib a,
.maplibregl-ctrl-scale {
  background: var(--bs-body-bg);
  color: var(--bs-body-color);
}
.maplibregl-ctrl-scale {
  background: rgba(var(--bs-body-bg-rgb), 0.8);
  color: var(--bs-body-color);
}
.maplibregl-popup-content {
  background: var(--bs-body-bg);
}
.maplibregl-popup-anchor-top .maplibregl-popup-tip {
  border-bottom-color: var(--bs-body-bg);
}
.maplibregl-popup-anchor-bottom .maplibregl-popup-tip {
  border-top-color: var(--bs-body-bg);
}
.maplibregl-popup-anchor-right .maplibregl-popup-tip {
  border-left-color: var(--bs-body-bg);
}
.maplibregl-popup-anchor-left .maplibregl-popup-tip {
  border-right-color: var(--bs-body-bg);
}
[data-bs-theme="dark"] .maplibregl-ctrl-scale {
  border-top-color: var(--bs-border-color);
  border-right-color: var(--bs-light);
  border-left-color: var(--bs-light);
  border-bottom-color: var(--bs-light);
}
[data-bs-theme="dark"] .maplibregl-ctrl-attrib.maplibregl-compact-show .maplibregl-ctrl-attrib-button {
  background-color: var(--bs-light);
}

.maplibregl-ctrl-group button.maplibregl-ctrl-search,
.maplibregl-ctrl-group button.maplibregl-ctrl-search-hide,
.maplibregl-ctrl-group button.maplibregl-ctrl-route,
.maplibregl-ctrl-group button.maplibregl-ctrl-legend,
.maplibregl-ctrl-group button.maplibregl-ctrl-news,
.maplibregl-ctrl-group button.maplibregl-ctrl-about {
  padding: 4px;
  width: auto;
  font-size: 1rem;
  position: relative;
}
.maplibregl-ctrl-group button.maplibregl-ctrl-news.news-updated .news-marker {
  display: none;
  position: absolute;
  top: -8px;
  left: -8px;
  background: var(--bs-blue);
  border: 1px solid white;
  border-radius: 10px;
  width: 16px;
  height: 16px;
  box-shadow: 0 0 4px 2px var(--bs-blue);
  transition: box-shadow .3s ease;
}
.maplibregl-ctrl-group button.maplibregl-ctrl-news.news-updated .news-marker {
  display: block;
}
.maplibregl-ctrl-group button.maplibregl-ctrl-news.news-updated:hover .news-marker {
  box-shadow: 0 0 6px 4px var(--bs-blue);
}

.maplibregl-ctrl-group.maplibregl-ctrl-group-style {
  box-shadow: 0 0 0 2px rgba(var(--bs-success-rgb), .5);
}
.maplibregl-ctrl-group.maplibregl-ctrl-group-search {
  display: flex;
}
.maplibregl-ctrl-group.maplibregl-ctrl-group-search.has-results {
  box-shadow: 0 0 0 2px rgba(156, 217, 0, 0.7);
}
.maplibregl-ctrl-group.maplibregl-ctrl-group-route {
  box-shadow: 0 0 0 2px hsla(312, 100%, 50%, 0.4);
}

.maplibregl-ctrl-group button.maplibregl-ctrl-search .maplibregl-ctrl-icon,
.maplibregl-ctrl-group button.maplibregl-ctrl-search-hide .maplibregl-ctrl-icon,
.maplibregl-ctrl-group button.maplibregl-ctrl-route .maplibregl-ctrl-icon,
.maplibregl-ctrl-group button.maplibregl-ctrl-legend .maplibregl-ctrl-icon,
.maplibregl-ctrl-group button.maplibregl-ctrl-news .maplibregl-ctrl-icon,
.maplibregl-ctrl-group button.maplibregl-ctrl-about .maplibregl-ctrl-icon,
.maplibregl-ctrl-group button.maplibregl-ctrl-zoom-in .maplibregl-ctrl-icon,
.maplibregl-ctrl-group button.maplibregl-ctrl-zoom-out .maplibregl-ctrl-icon,
.maplibregl-ctrl-group button.maplibregl-ctrl-compass .maplibregl-ctrl-icon,
.maplibregl-ctrl-group button.maplibregl-ctrl-geolocate .maplibregl-ctrl-icon,
.maplibregl-ctrl-group button.maplibregl-ctrl-fullscreen .maplibregl-ctrl-icon,
.maplibregl-ctrl-group button.maplibregl-ctrl-edit .maplibregl-ctrl-icon,
.maplibregl-ctrl-group button.maplibregl-ctrl-configuration .maplibregl-ctrl-icon,
.maplibregl-ctrl-group.maplibregl-ctrl-date button .maplibregl-ctrl-icon,
.maplibregl-ctrl-group button.maplibregl-ctrl-style .maplibregl-ctrl-icon,
.maplibregl-ctrl-group button.maplibregl-ctrl-style-toggle .maplibregl-ctrl-icon {
  background-image: none;
  background-color: var(--bs-body-color);
  mask-size: contain;
  mask-repeat: no-repeat;
  mask-position: center;
  display: inline-block;
  vertical-align: top;
}
.maplibregl-ctrl-group-about {
  display: flex;
}
.maplibregl-ctrl-group-about button + button {
  border-top: none;
}
.maplibregl-ctrl-group-about .maplibregl-ctrl-news {
  border-right: 2px solid #ccc;
}

.maplibregl-ctrl-group button.maplibregl-ctrl-search .maplibregl-ctrl-icon {
  mask-image: url("data:image/svg+xml,%3Csvg width='800px' height='800px' viewBox='0 0 24 24' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M14.9536 14.9458L21 21M17 10C17 13.866 13.866 17 10 17C6.13401 17 3 13.866 3 10C3 6.13401 6.13401 3 10 3C13.866 3 17 6.13401 17 10Z' stroke='%23000000' stroke-width='2.7' stroke-linecap='round' stroke-linejoin='round'/%3E%3C/svg%3E");
  width: 1.5rem;
  height: 1.4rem;
}
.maplibregl-ctrl-group button.maplibregl-ctrl-search-hide .maplibregl-ctrl-icon,
.maplibregl-ctrl-group button.maplibregl-ctrl-route .maplibregl-ctrl-icon {
  mask-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='currentColor' class='bi bi-slash-circle' viewBox='0 0 16 16'%3E%3Cpath d='M8 15A7 7 0 1 1 8 1a7 7 0 0 1 0 14m0 1A8 8 0 1 0 8 0a8 8 0 0 0 0 16'/%3E%3Cpath d='M11.354 4.646a.5.5 0 0 0-.708 0l-6 6a.5.5 0 0 0 .708.708l6-6a.5.5 0 0 0 0-.708'/%3E%3C/svg%3E");
  width: 1.2rem;
  height: 1.2rem;
}
.maplibregl-ctrl-group button.maplibregl-ctrl-legend .maplibregl-ctrl-icon {
  mask-image: url("data:image/svg+xml,%3C%3Fxml version='1.0' encoding='utf-8'%3F%3E%3Csvg fill='%23000000' xmlns='http://www.w3.org/2000/svg' viewBox='0 0 52 52' enable-background='new 0 0 52 52' xml:space='preserve'%3E%3Cg%3E%3Cpath d='M26.7,42.8c0.8,0,1.5,0.7,1.5,1.5v3.2c0,0.8-0.7,1.5-1.5,1.5h-3.2c-0.8,0-1.5-0.7-1.5-1.5v-3.2 c0-0.8,0.7-1.5,1.5-1.5H26.7z'/%3E%3Cpath d='M28.2,35.1c0-2.1,1.3-4,3.1-4.8h0.1c5.2-2.1,8.8-7.2,8.8-13.2c0-7.8-6.4-14.2-14.2-14.2 c-7.2,0-13.2,5.3-14.2,12.2v0.1c-0.1,0.9,0.6,1.6,1.5,1.6h3.2c0.8,0,1.4-0.5,1.5-1.1v-0.2c0.7-3.7,4-6.5,7.9-6.5 c4.5,0,8.1,3.6,8.1,8.1c0,2.1-0.8,4-2.1,5.5l-0.1,0.1c-0.9,1-2.1,1.6-3.3,2c-4,1.4-6.7,5.2-6.7,9.4v1.5c0,0.8,0.6,1.4,1.4,1.4h3.2 c0.8,0,1.6-0.6,1.6-1.5L28.2,35.1z'/%3E%3C/g%3E%3C/svg%3E");
  width: 1.5rem;
  height: 1.4rem;
}
.maplibregl-ctrl-group button.maplibregl-ctrl-news .maplibregl-ctrl-icon {
  mask-image: url("data:image/svg+xml;charset=utf-8,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24'%3E%3Cpath d='M4 3a2 2 0 0 0-2 2v13a3 3 0 0 0 3 3h14c1.645 0 3-1.355 3-3V8a1 1 0 0 0-1.016-1.014A1 1 0 0 0 20 8v10c0 .565-.435 1-1 1-.552 0-1-.449-1-1V5a2 2 0 0 0-2-2H4zm3 3h6a1 1 0 0 1 1 1v1a1 1 0 0 1-1 1H7a1 1 0 0 1-1-1V7a1 1 0 0 1 1-1zm0 6h6a1 1 0 0 1 0 2H7a1 1 0 0 1 0-2zm0 4h6a1 1 0 0 1 0 2H7a1 1 0 0 1 0-2z'/%3E%3C/svg%3E");
  width: 1.5rem;
  height: 1.4rem;
}
.maplibregl-ctrl-group button.maplibregl-ctrl-about .maplibregl-ctrl-icon {
  mask-image: url("data:image/svg+xml;charset=utf-8,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' fill-rule='evenodd' viewBox='0 0 20 20'%3E%3Cpath d='M4 10a6 6 0 1 0 12 0 6 6 0 1 0-12 0m5-3a1 1 0 1 0 2 0 1 1 0 1 0-2 0m0 3a1 1 0 1 1 2 0v3a1 1 0 1 1-2 0'/%3E%3C/svg%3E");
  width: 1.5rem;
  height: 1.4rem;
}
.maplibregl-ctrl-group button.maplibregl-ctrl-zoom-in .maplibregl-ctrl-icon {
  mask-image: url("data:image/svg+xml;charset=utf-8,%3Csvg xmlns='http://www.w3.org/2000/svg' width='29' height='29' fill='%23333' viewBox='0 0 29 29'%3E%3Cpath d='M14.5 8.5c-.75 0-1.5.75-1.5 1.5v3h-3c-.75 0-1.5.75-1.5 1.5S9.25 16 10 16h3v3c0 .75.75 1.5 1.5 1.5S16 19.75 16 19v-3h3c.75 0 1.5-.75 1.5-1.5S19.75 13 19 13h-3v-3c0-.75-.75-1.5-1.5-1.5'/%3E%3C/svg%3E");
  width: 1.8rem;
  height: 1.8rem;
}
.maplibregl-ctrl-group button.maplibregl-ctrl-zoom-out .maplibregl-ctrl-icon {
  mask-image: url("data:image/svg+xml;charset=utf-8,%3Csvg xmlns='http://www.w3.org/2000/svg' width='29' height='29' fill='%23333' viewBox='0 0 29 29'%3E%3Cpath d='M10 13c-.75 0-1.5.75-1.5 1.5S9.25 16 10 16h9c.75 0 1.5-.75 1.5-1.5S19.75 13 19 13z'/%3E%3C/svg%3E");
  width: 1.8rem;
  height: 1.8rem;
}
.maplibregl-ctrl-group button.maplibregl-ctrl-compass .maplibregl-ctrl-icon {
  mask-image: url("data:image/svg+xml;charset=utf-8,%3Csvg xmlns='http://www.w3.org/2000/svg' width='29' height='29' fill='%23333' viewBox='0 0 29 29'%3E%3Cpath d='m10.5 14 4-8 4 8z'/%3E%3Cpath fill='%23ccc' d='m10.5 16 4 8 4-8z'/%3E%3C/svg%3E");
  width: 1.8rem;
  height: 1.8rem;
  background: #666;
}
.maplibregl-ctrl-group button.maplibregl-ctrl-compass .maplibregl-ctrl-icon.rotated {
  background: linear-gradient(to bottom, red, red 50%, #aaa 50%, #aaa);
}
.maplibregl-ctrl-group button.maplibregl-ctrl-fullscreen .maplibregl-ctrl-icon {
  mask-image: url("data:image/svg+xml;charset=utf-8,%3Csvg xmlns='http://www.w3.org/2000/svg' width='29' height='29' fill='%23333' viewBox='0 0 29 29'%3E%3Cpath d='M24 16v5.5c0 1.75-.75 2.5-2.5 2.5H16v-1l3-1.5-4-5.5 1-1 5.5 4 1.5-3zM6 16l1.5 3 5.5-4 1 1-4 5.5 3 1.5v1H7.5C5.75 24 5 23.25 5 21.5V16zm7-11v1l-3 1.5 4 5.5-1 1-5.5-4L6 13H5V7.5C5 5.75 5.75 5 7.5 5zm11 2.5c0-1.75-.75-2.5-2.5-2.5H16v1l3 1.5-4 5.5 1 1 5.5-4 1.5 3h1z'/%3E%3C/svg%3E");
  width: 1.8rem;
  height: 1.8rem;
}
.maplibregl-ctrl-group button.maplibregl-ctrl-geolocate .maplibregl-ctrl-icon {
  mask-image: url("data:image/svg+xml;charset=utf-8,%3Csvg xmlns='http://www.w3.org/2000/svg' width='29' height='29' fill='%23333' viewBox='0 0 20 20'%3E%3Cpath d='M10 4C9 4 9 5 9 5v.1A5 5 0 0 0 5.1 9H5s-1 0-1 1 1 1 1 1h.1A5 5 0 0 0 9 14.9v.1s0 1 1 1 1-1 1-1v-.1a5 5 0 0 0 3.9-3.9h.1s1 0 1-1-1-1-1-1h-.1A5 5 0 0 0 11 5.1V5s0-1-1-1m0 2.5a3.5 3.5 0 1 1 0 7 3.5 3.5 0 1 1 0-7'/%3E%3Ccircle cx='10' cy='10' r='2'/%3E%3C/svg%3E");
  width: 1.8rem;
  height: 1.8rem;
}
.maplibregl-ctrl-group button.maplibregl-ctrl-edit .maplibregl-ctrl-icon {
  mask-image: url("data:image/svg+xml,%3Csvg width='800px' height='800px' viewBox='0 0 24 24' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath fill-rule='evenodd' clip-rule='evenodd' d='M21.1213 2.70705C19.9497 1.53548 18.0503 1.53547 16.8787 2.70705L15.1989 4.38685L7.29289 12.2928C7.16473 12.421 7.07382 12.5816 7.02986 12.7574L6.02986 16.7574C5.94466 17.0982 6.04451 17.4587 6.29289 17.707C6.54127 17.9554 6.90176 18.0553 7.24254 17.9701L11.2425 16.9701C11.4184 16.9261 11.5789 16.8352 11.7071 16.707L19.5556 8.85857L21.2929 7.12126C22.4645 5.94969 22.4645 4.05019 21.2929 2.87862L21.1213 2.70705ZM18.2929 4.12126C18.6834 3.73074 19.3166 3.73074 19.7071 4.12126L19.8787 4.29283C20.2692 4.68336 20.2692 5.31653 19.8787 5.70705L18.8622 6.72357L17.3068 5.10738L18.2929 4.12126ZM15.8923 6.52185L17.4477 8.13804L10.4888 15.097L8.37437 15.6256L8.90296 13.5112L15.8923 6.52185ZM4 7.99994C4 7.44766 4.44772 6.99994 5 6.99994H10C10.5523 6.99994 11 6.55223 11 5.99994C11 5.44766 10.5523 4.99994 10 4.99994H5C3.34315 4.99994 2 6.34309 2 7.99994V18.9999C2 20.6568 3.34315 21.9999 5 21.9999H16C17.6569 21.9999 19 20.6568 19 18.9999V13.9999C19 13.4477 18.5523 12.9999 18 12.9999C17.4477 12.9999 17 13.4477 17 13.9999V18.9999C17 19.5522 16.5523 19.9999 16 19.9999H5C4.44772 19.9999 4 19.5522 4 18.9999V7.99994Z' fill='%23000000'/%3E%3C/svg%3E");
  width: 1.5rem;
  height: 1.4rem;
}
.maplibregl-ctrl-group button.maplibregl-ctrl-configuration .maplibregl-ctrl-icon {
  mask-image: url("data:image/svg+xml,%3Csvg width='800' height='800' viewBox='0 0 200 200' data-name='Layer 1' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M36.5 75C41 89.5 54 100 70 100s29-10.5 33.5-25H170a10 10 0 0 0 0-20h-66.5C99 40.5 86 30 70 30S41 40.5 36.5 55H25a10 10 0 0 0 0 20ZM70 50a15 15 0 1 1-15 15 14.73 14.73 0 0 1 15-15Zm105 75h-11.5c-4.5-14.5-17.5-25-33.5-25s-29 10.5-33.5 25H30a10 10 0 0 0 0 20h66.5c4.5 14.5 17.5 25 33.5 25s29-10.5 33.5-25H175a10 10 0 0 0 0-20Zm-45 25a15 15 0 1 1 15-15 14.73 14.73 0 0 1-15 15Z'/%3E%3C/svg%3E");
  width: 1.5rem;
  height: 1.4rem;
}
.maplibregl-ctrl-group.maplibregl-ctrl-date button .maplibregl-ctrl-icon {
  mask-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='800' height='800' viewBox='0 0 100 100' xml:space='preserve'%3E%3Cpath d='M76 42H24c-1.1 0-2 .9-2 2v30c0 3.3 2.7 6 6 6h44c3.3 0 6-2.7 6-6V44c0-1.1-.9-2-2-2zM40 70c0 1.1-.9 2-2 2h-4c-1.1 0-2-.9-2-2v-4c0-1.1.9-2 2-2h4c1.1 0 2 .9 2 2v4zm14 0c0 1.1-.9 2-2 2h-4c-1.1 0-2-.9-2-2v-4c0-1.1.9-2 2-2h4c1.1 0 2 .9 2 2v4zm0-14c0 1.1-.9 2-2 2h-4c-1.1 0-2-.9-2-2v-4c0-1.1.9-2 2-2h4c1.1 0 2 .9 2 2v4zm14 0c0 1.1-.9 2-2 2h-4c-1.1 0-2-.9-2-2v-4c0-1.1.9-2 2-2h4c1.1 0 2 .9 2 2v4zm4-30h-5v-2c0-2.2-1.8-4-4-4s-4 1.8-4 4v2H41v-2c0-2.2-1.8-4-4-4s-4 1.8-4 4v2h-5c-3.3 0-6 2.7-6 6v2c0 1.1.9 2 2 2h52c1.1 0 2-.9 2-2v-2c0-3.3-2.7-6-6-6z'/%3E%3C/svg%3E%0A");
  width: 1.6rem;
  height: 1.6rem;
  margin: .1rem;
  vertical-align: middle;
  background-color: var(--bs-body-color);
}
.maplibregl-ctrl-group button.maplibregl-ctrl-style-toggle .maplibregl-ctrl-icon {
  mask-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' xml:space='preserve' width='24' height='25.115' viewBox='0 0 2.156 2.257'%3E%3Cpath d='m.098.687.94.466a.09.09 0 0 0 .08 0l.94-.466a.09.09 0 0 0 0-.161l-.94-.467a.09.09 0 0 0-.08 0l-.94.467a.09.09 0 0 0 0 .16zm.98-.446.738.365-.738.366L.341.606Z'/%3E%3Cpath d='m1.979.885-.9.446L.177.885a.09.09 0 0 0-.08.161l.94.466a.09.09 0 0 0 .08 0l.94-.466a.09.09 0 0 0-.08-.161z'/%3E%3Cpath d='m1.979 1.227-.9.447-.901-.447a.09.09 0 0 0-.08.162l.94.466a.09.09 0 0 0 .08 0l.94-.466a.09.09 0 1 0-.08-.162z'/%3E%3Cpath d='m1.979 1.57-.9.446-.901-.446a.09.09 0 0 0-.08.161l.94.466a.09.09 0 0 0 .08 0l.94-.466a.09.09 0 1 0-.08-.161Z'/%3E%3C/svg%3E");
  width: 1.4rem;
  height: 1.4rem;
  margin: .2rem;
}
.maplibregl-ctrl-group.maplibregl-ctrl-date button .maplibregl-ctrl-icon.active {
  background-color: var(--bs-success);
}

.maplibregl-ctrl-group button.maplibregl-ctrl-search .maplibregl-ctrl-icon-text,
.maplibregl-ctrl-group button.maplibregl-ctrl-search-hide .maplibregl-ctrl-icon-text,
.maplibregl-ctrl-group button.maplibregl-ctrl-route .maplibregl-ctrl-icon-text,
.maplibregl-ctrl-group button.maplibregl-ctrl-legend .maplibregl-ctrl-icon-text,
.maplibregl-ctrl-group button.maplibregl-ctrl-news .maplibregl-ctrl-icon-text {
  margin-left: 4px;
}
.maplibregl-ctrl-group button.maplibregl-ctrl-about .maplibregl-ctrl-icon-text {
  margin-left: 2px;
}

.maplibregl-ctrl.maplibregl-ctrl-attrib.maplibregl-compact {
  margin-left: 100px;
}

.maplibregl-ctrl-group.maplibregl-ctrl-group-style {
  position: relative;
}
.maplibregl-ctrl-group.maplibregl-ctrl-group-style .maplibregl-ctrl-style {
  display: flex;
  flex-direction: column;
  font-size: .9rem;
}
@media (max-width: 767px) {
  .maplibregl-ctrl-group.maplibregl-ctrl-group-style .maplibregl-ctrl-style {
    position: absolute;
    right: 0;
    margin-right: 2rem;
    border-radius: 4px;
    box-shadow: 0 0 0 2px rgba(0,0,0,.1);
    background: var(--bs-body-bg);
  }
  .maplibregl-ctrl-group.maplibregl-ctrl-group-style .maplibregl-ctrl-style:not(.active) {
    display: none;
  }
}

.maplibregl-ctrl-group.maplibregl-ctrl-group-style .maplibregl-ctrl-style > button {
  width: auto;
  height: auto;
  color: var(--bs-success);
  padding: .3rem 2rem .3rem 1rem;
  position: relative;
}
.maplibregl-ctrl-group.maplibregl-ctrl-group-style .maplibregl-ctrl-style > button:first-child {
  border-top-left-radius: 4px;
  border-top-right-radius: 4px;
}
.maplibregl-ctrl-group.maplibregl-ctrl-group-style .maplibregl-ctrl-style > button:last-child {
  border-bottom-left-radius: 4px;
  border-bottom-right-radius: 4px;
}
.maplibregl-ctrl-group.maplibregl-ctrl-group-style .maplibregl-ctrl-style > button.active {
  background-color: var(--bs-success);
  color: var(--bs-body-bg);
  cursor: default;
}
.maplibregl-ctrl-group.maplibregl-ctrl-group-style .maplibregl-ctrl-style > button:not(.active) > button.layer-configuration {
  display: none;
}
.maplibregl-ctrl-group.maplibregl-ctrl-group-style .maplibregl-ctrl-style > button.active > button.layer-configuration {
  display: block;
  position: absolute;
  height: 1.8rem;
  width: 1.8rem;
  top: 0;
  right: .2rem;
  background-image: none;
  background-color: var(--bs-body-bg);
  mask-size: 1rem 1rem;
  mask-position: .4rem .4rem;
  mask-image: url("data:image/svg+xml,%3Csvg width='800' height='800' viewBox='0 0 200 200' data-name='Layer 1' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M36.5 75C41 89.5 54 100 70 100s29-10.5 33.5-25H170a10 10 0 0 0 0-20h-66.5C99 40.5 86 30 70 30S41 40.5 36.5 55H25a10 10 0 0 0 0 20ZM70 50a15 15 0 1 1-15 15 14.73 14.73 0 0 1 15-15Zm105 75h-11.5c-4.5-14.5-17.5-25-33.5-25s-29 10.5-33.5 25H30a10 10 0 0 0 0 20h66.5c4.5 14.5 17.5 25 33.5 25s29-10.5 33.5-25H175a10 10 0 0 0 0-20Zm-45 25a15 15 0 1 1 15-15 14.73 14.73 0 0 1-15 15Z'/%3E%3C/svg%3E");
  mask-repeat: no-repeat;
}
.maplibregl-ctrl-group.maplibregl-ctrl-group-style .maplibregl-ctrl-style > button.active > button.layer-configuration:hover {
  background-color: yellow;
}

.maplibregl-ctrl-group .maplibregl-ctrl-search-hide {
  border-top: none;
  border-left: 1px solid #ddd;
}
.maplibregl-ctrl-group.has-results .maplibregl-ctrl-search-hide {
  border-left: 1px solid rgba(156, 217, 0, 1);
}

.maplibregl-ctrl-group.maplibregl-ctrl-date {
  visibility: hidden;
}
.maplibregl-ctrl-group.maplibregl-ctrl-date button {
  display: inline-block;
}
.maplibregl-ctrl-group.maplibregl-ctrl-date .date-input {
  width: 200px;
  padding: 0;
  margin: 0 .3rem 0 0;
  vertical-align: middle;
}
@media (max-width: 767px) {
  .maplibregl-ctrl-group.maplibregl-ctrl-date .all-dates.hide-mobile-show-desktop,
  .maplibregl-ctrl-group.maplibregl-ctrl-date .all-dates-label.hide-mobile-show-desktop,
  .maplibregl-ctrl-group.maplibregl-ctrl-date .date-input.hide-mobile-show-desktop {
    display: none;
  }
  .maplibregl-ctrl-group.maplibregl-ctrl-date .date-display.hide-mobile-show-desktop:not(.active) {
    display: none;
  }
}
@media (min-width: 768px) {
  .maplibregl-ctrl-group.maplibregl-ctrl-date .all-dates.show-mobile-hide-desktop,
  .maplibregl-ctrl-group.maplibregl-ctrl-date .all-dates-label.show-mobile-hide-desktop,
  .maplibregl-ctrl-group.maplibregl-ctrl-date .date-input.show-mobile-hide-desktop {
    display: none;
  }
  .maplibregl-ctrl-group.maplibregl-ctrl-date .date-display.show-mobile-hide-desktop:not(.active) {
    display: none;
  }
}
.maplibregl-ctrl-group.maplibregl-ctrl-date .date-display {
  display: inline-block;
  width: 4rem;
  text-align: center;
  font-weight: bold;
  font-size: 0.9rem;
  vertical-align: middle;
  border: none;
}

.maplibregl-popup-content img.osm-type-icon {
  width: 1.4rem;
  margin-right: 0.5rem;
}
.maplibregl-popup-content a.popup-image-link {
  position: relative;
  display: block;
}
.maplibregl-popup-content img.popup-image {
  margin: 0 -10px;
  width: calc(100% + 20px);
  height: auto;
}
.maplibregl-popup-content .popup-image-attribution {
  position: absolute;
  bottom: 0;
  left: 0;
  margin: 0 -10px;
  background: rgba(0,0,0,.5);
  color: white;
  padding-left: 5px;
  padding-right: 5px;
  font-size: .7rem;
  display: flex;
  flex-wrap: wrap;
  gap: 3px;
}
.maplibregl-popup-content .popup-image-attribution:hover {
  background: black;
}
.maplibregl-popup-content .popup-image-attribution .popup-image-attribution-copyright {
  padding-right: 3px;
  padding-left: 3px;
  margin-right: -3px;
  margin-left: -3px;
  font-weight: bold;
  font-size: 1rem;
}
.maplibregl-popup-content .popup-image-attribution a {
  color: white;
}
.maplibregl-popup-content .popup-image-attribution.collapsed .hide-collapsed {
  display: none;
}

input[type=url] {
  font-family: monospace;
}

.badge {
  white-space: normal;
}

.about-banner-container {
  margin-left: auto;
  margin-right: auto;
  max-width: 600px;
}
.about-banner-container img.banner {
  max-width: 100%;
  height: auto;
}
